## org.jfree.data.gantt
Class TaskSeries

    java.lang.Object
      org.jfree.data.Series
          org.jfree.data.gantt.TaskSeries

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class TaskSeries
extends Series

A series that contains zero, one or many `Task` objects.

This class is used as a building block for the `TaskSeriesCollection` class that can be used to construct basic Gantt charts.

See Also:
  Serialized Form

Constructor Summary
`TaskSeries(java.lang.String name)` Constructs a new series with the specified name.

Method Summary
`void` `add(Task task)` Adds a task to the series.
`Task` `get(int index)` Returns a task from the series.
`int` `getItemCount()` Returns the number of items in the series.
`java.util.List` `getTasks()` Returns the tasks.
`void` `remove(Task task)` Removes a task from the series.
`void` `removeAll()` Removes all tasks.

Methods inherited from class org.jfree.data.Series
`addChangeListener, addPropertyChangeListener, clone, equals, firePropertyChange, fireSeriesChanged, getDescription, getName, getNotify, hashCode, notifyListeners, removeChangeListener, removePropertyChangeListener, setDescription, setName, setNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskSeries

    public TaskSeries(java.lang.String name)

  Constructs a new series with the specified name.

Parameters:
  `name` - the series name.

Method Detail

### add

    public void add(Task task)

  Adds a task to the series.

  Parameters:
    `task` - the task.

### remove

    public void remove(Task task)

  Removes a task from the series.

  Parameters:
    `task` - the task.

### removeAll

    public void removeAll()

  Removes all tasks.

### getTasks

    public java.util.List getTasks()

  Returns the tasks.

  Returns:
    the tasks.

### get

    public Task get(int index)

  Returns a task from the series.

  Parameters:
    `index` - the task index (zero-based).
  Returns:
    the task.

### getItemCount

    public int getItemCount()

  Returns the number of items in the series.

  Returns:
    the item count.